commit cfeaa009b9b407d8b404438afbf4c5d85d61e8c1
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sat Mar 4 22:55:01 2023 +0000

    Truncate overlong lines in DSNs.  Bug 2979

diff --git a/src/src/deliver.c b/src/src/deliver.c
index d0e6d1c2e..9b77b3619 100644
--- a/src/src/deliver.c
+++ b/src/src/deliver.c
@@ -5370,6 +5370,11 @@ while (*s)
       fprintf(f, "\n   ");  /* sic (because space follows) */
       count = 0;
       }
+    else if (count > 254)	/* arbitrary limit */
+      {
+      fprintf(f, "[truncated]");
+      do s++; while (*s && !(*s == '\\' && s[1] == '\n'));
+      }
     }
 }
 

